Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.j2ee.servlets
Class XmlServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              net.sf.jasperreports.j2ee.servlets.BaseHttpServlet
                  net.sf.jasperreports.j2ee.servlets.XmlServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Direct Known Subclasses:
  Xml4SwfServlet

    public class XmlServlet

extends BaseHttpServlet

Version:
  $Id: XmlServlet.java 3659 2010-03-31 10:20:49Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `END_PAGE_INDEX_REQUEST_PARAMETER`
`static java.lang.String` | `PAGE_INDEX_REQUEST_PARAMETER`
`static java.lang.String` | `START_PAGE_INDEX_REQUEST_PARAMETER`

Fields inherited from class net.sf.jasperreports.j2ee.servlets.BaseHttpServlet
`BUFFERED_OUTPUT_REQUEST_PARAMETER, DEFAULT_JASPER_PRINT_LIST_SESSION_ATTRIBUTE, DEFAULT_JASPER_PRINT_SESSION_ATTRIBUTE, JASPER_PRINT_LIST_REQUEST_PARAMETER, JASPER_PRINT_REQUEST_PARAMETER`

Constructor Summary
`XmlServlet()`

Method Summary
`JRXmlExporter` | `getExporter()`
`void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class net.sf.jasperreports.j2ee.servlets.BaseHttpServlet
`getJasperPrintList`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### START_PAGE_INDEX_REQUEST_PARAMETER

    public static final java.lang.String START_PAGE_INDEX_REQUEST_PARAMETER

See Also:
  Constant Field Values

### END_PAGE_INDEX_REQUEST_PARAMETER

    public static final java.lang.String END_PAGE_INDEX_REQUEST_PARAMETER

See Also:
  Constant Field Values

### PAGE_INDEX_REQUEST_PARAMETER

    public static final java.lang.String PAGE_INDEX_REQUEST_PARAMETER

See Also:
  Constant Field Values

Constructor Detail

### XmlServlet

    public XmlServlet()

Method Detail

### service

    public void service(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Overrides:
    `service` in class `javax.servlet.http.HttpServlet`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getExporter

    public JRXmlExporter getExporter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com